Subject: Re: linux-next: build failure after merge of the rdma tree

From: Jason Gunthorpe <[email-masked]>
Date: Thu, 4 Jul 2019 02:04:22 +0000

On Thu, Jul 04, 2019 at 12:02:35PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> On Mon, 1 Jul 2019 14:14:31 +1000 Stephen Rothwell <[email-masked]> wrote:
> >
> > Hi all,
> > 
> > After merging the rdma tree, today's linux-next build (x86_64
> > allmodconfig) failed like this:
> > 
> > WARNING: modpost: missing MODULE_LICENSE() in drivers/infiniband/hw/hns/hns_roce_ah.o
> > see include/linux/module.h for more information
> 	.
> 	.
> 	.
> > ERROR: "hns_roce_bitmap_cleanup" [drivers/infiniband/hw/hns/hns_roce_srq.ko] undefined!
> 	.
> 	.
> 	.
> > ERROR: "hns_roce_ib_destroy_cq" [drivers/infiniband/hw/hns/hns-roce-hw-v1.ko] undefined!
> > 
> > Presumably caused by commit
> > 
> >   e9816ddf2a33 ("RDMA/hns: Cleanup unnecessary exported symbols")
> > 
> > I have used the rdma tree from next-20190628 for today.
> 
> I am still getting these errors/warnings.

I have not got a fixing patch from HNS team.

At this late date I will revert the problematic HNS patch tomorrow.

Jason